List volunteer requests
curl --request GET \
--url https://api.transparencyhubnetwork.ai/api/v1/project-tasks/{task_id}/volunteer-requests \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.transparencyhubnetwork.ai/api/v1/project-tasks/{task_id}/volunteer-requests"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.transparencyhubnetwork.ai/api/v1/project-tasks/{task_id}/volunteer-requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.transparencyhubnetwork.ai/api/v1/project-tasks/{task_id}/volunteer-requests",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.transparencyhubnetwork.ai/api/v1/project-tasks/{task_id}/volunteer-requests"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.transparencyhubnetwork.ai/api/v1/project-tasks/{task_id}/volunteer-requests")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.transparencyhubnetwork.ai/api/v1/project-tasks/{task_id}/volunteer-requests")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"status": "success",
"data": [
{
"id": 4,
"task_id": 77,
"member_id": 44,
"status": "accepted",
"requested_at": "2026-09-04T09:00:00Z",
"decided_by_member_id": 7,
"decided_at": "2026-09-04T10:00:00Z"
}
],
"pagination": {
"total": 1,
"offset": 0,
"limit": 50
}
}
Projects
List volunteer requests
Members who volunteered for a card and whether an admin accepted.
GET
/
v1
/
project-tasks
/
{task_id}
/
volunteer-requests
List volunteer requests
curl --request GET \
--url https://api.transparencyhubnetwork.ai/api/v1/project-tasks/{task_id}/volunteer-requests \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.transparencyhubnetwork.ai/api/v1/project-tasks/{task_id}/volunteer-requests"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.transparencyhubnetwork.ai/api/v1/project-tasks/{task_id}/volunteer-requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.transparencyhubnetwork.ai/api/v1/project-tasks/{task_id}/volunteer-requests",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.transparencyhubnetwork.ai/api/v1/project-tasks/{task_id}/volunteer-requests"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.transparencyhubnetwork.ai/api/v1/project-tasks/{task_id}/volunteer-requests")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.transparencyhubnetwork.ai/api/v1/project-tasks/{task_id}/volunteer-requests")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"status": "success",
"data": [
{
"id": 4,
"task_id": 77,
"member_id": 44,
"status": "accepted",
"requested_at": "2026-09-04T09:00:00Z",
"decided_by_member_id": 7,
"decided_at": "2026-09-04T10:00:00Z"
}
],
"pagination": {
"total": 1,
"offset": 0,
"limit": 50
}
}
Members who volunteered for a card and whether an admin accepted.
Required scope:
projects:read
{
"status": "success",
"data": [
{
"id": 4,
"task_id": 77,
"member_id": 44,
"status": "accepted",
"requested_at": "2026-09-04T09:00:00Z",
"decided_by_member_id": 7,
"decided_at": "2026-09-04T10:00:00Z"
}
],
"pagination": {
"total": 1,
"offset": 0,
"limit": 50
}
}
Authorizations
ApiKeyAuthBearerAuth
Path Parameters
Query Parameters
Required for association-wide keys; must match the key's chapter for chapter-bound keys.
Required range:
x >= 0Required range:
1 <= x <= 200
